Skip to content
This repository
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 26 lines (20 sloc) 0.717 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
require 'rubygems'
require 'rake'

begin
  gem 'jeweler', '~> 1.5.2'
  require 'jeweler'

  Jeweler::Tasks.new do |gem|
    gem.name = 'dm-migrations'
    gem.summary = 'DataMapper plugin for writing and speccing migrations'
    gem.description = gem.summary
    gem.email = 'psadauskas [a] gmail [d] com'
    gem.homepage = 'http://github.com/datamapper/%s' % gem.name
    gem.authors = [ 'Paul Sadauskas' ]
    gem.has_rdoc = 'yard'

    gem.rubyforge_project = 'datamapper'
  end

  Jeweler::GemcutterTasks.new

  FileList['tasks/**/*.rake'].each { |task| import task }
rescue LoadError
  puts 'Jeweler (or a dependency) not available. Install it with: gem install jeweler -v 1.5.2'
end
Something went wrong with that request. Please try again.